- [HTTP request](https://developers.google.com/merchant/api/reference/rest/inventories_v1/accounts.products.regionalInventories/insert.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/inventories_v1/accounts.products.regionalInventories/insert.md.txt#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/inventories_v1/accounts.products.regionalInventories/insert.md.txt#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/inventories_v1/accounts.products.regionalInventories/insert.md.txt#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/inventories_v1/accounts.products.regionalInventories/insert.md.txt#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/inventories_v1/accounts.products.regionalInventories/insert.md.txt#try-it)

Inserts a `RegionalInventory` to a given product in your merchant account.

Replaces the full `RegionalInventory` resource if an entry with the same `` `region` `` already exists for the product.

It might take up to 30 minutes for the new or updated `RegionalInventory` resource to appear in products.

For step-by-step instructions, see [Add regional inventory](https://developers.google.com/merchant/api/guides/inventories/add-regional-inventory.md.txt) and [Update regional inventory](https://developers.google.com/merchant/api/guides/inventories/update-regional-inventory.md.txt).

### HTTP request

`POST https://merchantapi.googleapis.com/inventories/v1/{parent=accounts/*/products/*}/regionalInventories:insert`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The account and product where this inventory will be inserted. Format: `accounts/{account}/products/{product}` The `{product}` segment is a unique identifier for the product. This identifier must be unique within a merchant account and generally follows the structure: `contentLanguage~feedLabel~offerId`. Example: `en~US~sku123` For legacy local products, the structure is: `local~contentLanguage~feedLabel~offerId`. Example: `local~en~US~sku123` The format of the `{product}` segment in the URL is automatically detected by the server, supporting two options: 1. **Encoded Format** : The `{product}` segment is an **unpadded base64url** encoded string (RFC 4648 Section 5). The decoded string must result in the `contentLanguage~feedLabel~offerId` structure. This encoding MUST be used if any part of the product identifier (like `offerId`) contains characters such as `/`, `%`, or `~`. - Example: To represent the product ID `en~US~sku/123`, the `{product}` segment must be the unpadded base64url encoding of this string, which is `ZW5-VVN-c2t1LzEyMw`. The full resource name for the product would be `accounts/123/products/ZW5-VVN-c2t1LzEyMw`. 2. **Plain Format** : The `{product}` segment is the tilde-separated string `contentLanguage~feedLabel~offerId`. This format is suitable only when `contentLanguage`, `feedLabel`, and `offerId` do not contain URL-problematic characters like `/`, `%`, or `~`. We recommend using the **Encoded Format** for all product IDs to ensure correct parsing, especially those containing special characters. The presence of tilde (`~`) characters in the `{product}` segment is used to differentiate between the two formats. |

### Request body

The request body contains an instance of `RegionalInventory`.

### Response body

If successful, the response body contains an instance of `RegionalInventory`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).